diff --git a/knode/knmainwidget.cpp b/knode/knmainwidget.cpp
index 5ea58757c..2214cb836 100644
--- a/knode/knmainwidget.cpp
+++ b/knode/knmainwidget.cpp
@@ -484,7 +484,7 @@ void KNMainWidget::openURL(const KURL &url)
   }
 
   if (acc) {
-    bool isMID=(url.url().tqcontains('@')==1);
+    bool isMID=(url.url().contains('@')==1);
 
     if (!isMID) {
       TQString groupname=url.path(-1);
@@ -678,7 +678,7 @@ void KNMainWidget::initActions()
   a_ctArtFilter->setShortcutConfigurable(false);
   a_ctArtFilterKeyb         = new KAction(i18n("Filter"), Key_F6, actionCollection(), "view_Filter_Keyb");
   a_ctArtFilterKeyb->plugAccel(a_ccel);
-  a_ctArtSearch             = new KAction(i18n("&Search Articles..."),"mail_tqfind" , Key_F4 , TQT_TQOBJECT(this),
+  a_ctArtSearch             = new KAction(i18n("&Search Articles..."),"mail_find" , Key_F4 , TQT_TQOBJECT(this),
                               TQT_SLOT(slotArtSearch()), actionCollection(), "article_search");
   a_ctArtRefreshList        = new KAction(i18n("&Refresh List"),"reload", KStdAccel::shortcut(KStdAccel::Reload), TQT_TQOBJECT(this),
                               TQT_SLOT(slotArtRefreshList()), actionCollection(), "view_Refresh");
@@ -963,7 +963,7 @@ void KNMainWidget::getSelectedThreads(KNRemoteArticle::List &l)
       art=static_cast<KNRemoteArticle*> ((static_cast<KNHdrViewItem*>(i))->art);
       // ignore the article if it is already in the list
       // (multiple aritcles are selected in one thread)
-      if ( l.tqfind(art) == l.end() )
+      if ( l.find(art) == l.end() )
         art->thread(l);
     }
 }
@@ -1946,8 +1946,8 @@ void KNMainWidget::slotFetchArticleWithID()
 
   if (dlg->exec()) {
     TQString id = dlg->messageId().simplifyWhiteSpace();
-    if (id.tqfind(TQRegExp("*@*",false,true))!=-1) {
-      if (id.tqfind(TQRegExp("<*>",false,true))==-1)   // add "<>" when necessary
+    if (id.find(TQRegExp("*@*",false,true))!=-1) {
+      if (id.find(TQRegExp("<*>",false,true))==-1)   // add "<>" when necessary
         id = TQString("<%1>").tqarg(id);
 
       if(!KNArticleWindow::raiseWindowForArticle(id.latin1())) { //article not yet opened
diff --git a/knode/knnntpclient.cpp b/knode/knnntpclient.cpp
index b81f13485..26473b6a1 100644
--- a/knode/knnntpclient.cpp
+++ b/knode/knnntpclient.cpp
@@ -115,7 +115,7 @@ void KNNntpClient::doFetchGroups()
 
       name = TQString::fromUtf8(line);
 
-      if (target->subscribed.tqcontains(name)) {
+      if (target->subscribed.contains(name)) {
         target->subscribed.remove(name);    // group names are unique, we wont find it again anyway...
         subscribed = true;
       } else
@@ -523,9 +523,9 @@ void KNNntpClient::doPostArticle()
 
   if (art->messageID(false)==0) {  // article has no message ID => search for a ID in the response
     TQCString s = getCurrentLine();
-    int start = s.tqfindRev(TQRegExp("<[^\\s]*@[^\\s]*>"));
+    int start = s.findRev(TQRegExp("<[^\\s]*@[^\\s]*>"));
     if (start != -1) {        // post response includes a recommended id
-      int end = s.tqfind('>',start);
+      int end = s.find('>',start);
       art->messageID()->from7BitString(s.mid(start,end-start+1));
       art->assemble();
       #ifndef NDEBUG
diff --git a/knode/knsearchdialog.cpp b/knode/knsearchdialog.cpp
index 5f8ff1ada..72e98dd1f 100644
--- a/knode/knsearchdialog.cpp
+++ b/knode/knsearchdialog.cpp
@@ -36,7 +36,7 @@ KNSearchDialog::KNSearchDialog(searchType /*t*/, TQWidget *tqparent)
   setIcon(SmallIcon("knode"));
   TQGroupBox *bg=new TQGroupBox(this);
 
-  startBtn=new TQPushButton(SmallIcon("mail_tqfind"),i18n("Sea&rch"), bg);
+  startBtn=new TQPushButton(SmallIcon("mail_find"),i18n("Sea&rch"), bg);
   startBtn->setDefault(true);
   newBtn=new TQPushButton(SmallIcon("editclear"),i18n("C&lear"), bg);
   closeBtn=new KPushButton(KStdGuiItem::close(), bg);
diff --git a/knode/knserverinfo.cpp b/knode/knserverinfo.cpp
index 5b7dc407c..c0351349b 100644
--- a/knode/knserverinfo.cpp
+++ b/knode/knserverinfo.cpp
@@ -78,9 +78,9 @@ void KNServerInfo::readConf(KConfig *conf)
     readPassword();
 
   TQString encStr = conf->readEntry( "encryption", "None" );
-  if ( encStr.tqcontains( "SSL", false ) )
+  if ( encStr.contains( "SSL", false ) )
     mEncryption = SSL;
-  else if ( encStr.tqcontains( "TLS", false ) )
+  else if ( encStr.contains( "TLS", false ) )
     mEncryption = TLS;
   else
     mEncryption = None;
diff --git a/knode/knstringfilter.cpp b/knode/knstringfilter.cpp
index 1570da040..51fdc1bd3 100644
--- a/knode/knstringfilter.cpp
+++ b/knode/knstringfilter.cpp
@@ -47,7 +47,7 @@ bool KNStringFilter::doFilter(const TQString &s)
       TQRegExp matcher(expanded);
       ret = ( matcher.search(s) >= 0 );
     } else
-      ret=(s.tqfind(expanded,0,false)!=-1);
+      ret=(s.find(expanded,0,false)!=-1);
 
     if(!con) ret=!ret;
   }
@@ -69,15 +69,15 @@ void KNStringFilter::expand(KNGroup *g)
   }
 
   expanded = data;
-  expanded.tqreplace(TQRegExp("%MYNAME"), id->name());
-  expanded.tqreplace(TQRegExp("%MYEMAIL"), id->email());
+  expanded.replace(TQRegExp("%MYNAME"), id->name());
+  expanded.replace(TQRegExp("%MYEMAIL"), id->email());
 }
 
 
 
 void KNStringFilter::load(KSimpleConfig *conf)
 {
-  con=conf->readBoolEntry("tqcontains", true);
+  con=conf->readBoolEntry("contains", true);
   data=conf->readEntry("Data");
   regExp=conf->readBoolEntry("regX", false);
 }
@@ -86,7 +86,7 @@ void KNStringFilter::load(KSimpleConfig *conf)
 
 void KNStringFilter::save(KSimpleConfig *conf)
 {
-  conf->writeEntry("tqcontains", con);
+  conf->writeEntry("contains", con);
   conf->writeEntry("Data", data);
   conf->writeEntry("regX", regExp);
 }
diff --git a/knode/utilities.cpp b/knode/utilities.cpp
index 4c857a3e5..0927c9171 100644
--- a/knode/utilities.cpp
+++ b/knode/utilities.cpp
@@ -274,7 +274,7 @@ int KNHelper::selectDialog(TQWidget *tqparent, const TQString &caption, const TQ
   TQString s;
   for ( TQStringList::ConstIterator it = options.begin(); it != options.end(); ++it ) {
     s = (*it);
-    s.tqreplace(TQRegExp("&"),"");   // remove accelerators
+    s.replace(TQRegExp("&"),"");   // remove accelerators
     list->insertItem(s);
   }
 
@@ -427,7 +427,7 @@ TQString KNHelper::rewrapStringList(TQStringList text, int wrapAt, TQChar quoteC
     thisLine = thisLine.stripWhiteSpace();
 
     if(!leftover.isEmpty()) {   // don't break paragraphs, tables and quote levels
-      if(thisLine.isEmpty() || (thisPrefix!=lastPrefix) || thisLine.tqcontains("  ") || thisLine.tqcontains('\t'))
+      if(thisLine.isEmpty() || (thisPrefix!=lastPrefix) || thisLine.contains("  ") || thisLine.contains('\t'))
         appendTextWPrefix(quoted, leftover, wrapAt, lastPrefix);
       else
         thisLine.prepend(leftover+" ");
diff --git a/knotes/knote.cpp b/knotes/knote.cpp
index 17d482e37..f5ebfe3bf 100644
--- a/knotes/knote.cpp
+++ b/knotes/knote.cpp
@@ -82,7 +82,7 @@ int KNote::s_ppOffset = 0;
 KNote::KNote( TQDomDocument buildDoc, Journal *j, TQWidget *tqparent, const char *name )
   : TQFrame( tqparent, name, WStyle_Customize | WStyle_NoBorder | WDestructiveClose ),
     m_label( 0 ), m_pushpin( 0 ), m_fold( 0 ), m_button( 0 ), m_tool( 0 ), m_editor( 0 ),
-    m_config( 0 ), m_journal( j ), m_tqfind( 0 ),
+    m_config( 0 ), m_journal( j ), m_find( 0 ),
     m_kwinConf( KSharedConfig::openConfig( "kwinrc", true ) ),
     m_busy( 0 ), m_deleteWhenIdle( false ), m_blockEmitDataChanged( false )
 {
@@ -264,7 +264,7 @@ KNote::KNote( TQDomDocument buildDoc, Journal *j, TQWidget *tqparent, const char
     bool closeLeft = false;
     m_kwinConf->setGroup( "Style" );
     if ( m_kwinConf->readBoolEntry( "CustomButtonPositions" ) )
-        closeLeft = m_kwinConf->readEntry( "ButtonsOnLeft" ).tqfind( 'X' ) > -1;
+        closeLeft = m_kwinConf->readEntry( "ButtonsOnLeft" ).find( 'X' ) > -1;
 
     TQPixmap pushpin_pix;
     if ( closeLeft )
@@ -575,33 +575,33 @@ void KNote::setColor( const TQColor& fg, const TQColor& bg )
     emit sigColorChanged();
 }
 
-void KNote::tqfind( const TQString& pattern, long options )
+void KNote::find( const TQString& pattern, long options )
 {
-    delete m_tqfind;
-    m_tqfind = new KFind( pattern, options, this );
+    delete m_find;
+    m_find = new KFind( pattern, options, this );
 
-    connect( m_tqfind, TQT_SIGNAL(highlight( const TQString &, int, int )),
+    connect( m_find, TQT_SIGNAL(highlight( const TQString &, int, int )),
              TQT_TQOBJECT(this), TQT_SLOT(slotHighlight( const TQString &, int, int )) );
-    connect( m_tqfind, TQT_SIGNAL(findNext()), TQT_TQOBJECT(this), TQT_SLOT(slotFindNext()) );
+    connect( m_find, TQT_SIGNAL(findNext()), TQT_TQOBJECT(this), TQT_SLOT(slotFindNext()) );
 
-    m_tqfind->setData( plainText() );
+    m_find->setData( plainText() );
     slotFindNext();
 }
 
 void KNote::slotFindNext()
 {
     // TODO: honor FindBackwards
-    // TODO: dialogClosed() -> delete m_tqfind
+    // TODO: dialogClosed() -> delete m_find
 
     // Let KFind inspect the text fragment, and display a dialog if a match is found
-    KFind::Result res = m_tqfind->find();
+    KFind::Result res = m_find->find();
 
     if ( res == KFind::NoMatch ) // i.e. at end-pos
     {
         m_editor->removeSelection( 1 );
         emit sigFindFinished();
-        delete m_tqfind;
-        m_tqfind = 0;
+        delete m_find;
+        m_find = 0;
     }
     else
     {
@@ -1167,7 +1167,7 @@ void KNote::updateLayout()
 
     m_kwinConf->setGroup( "Style" );
     if ( m_kwinConf->readBoolEntry( "CustomButtonPositions" ) )
-        closeLeft = m_kwinConf->readEntry( "ButtonsOnLeft" ).tqfind( 'X' ) > -1;
+        closeLeft = m_kwinConf->readEntry( "ButtonsOnLeft" ).find( 'X' ) > -1;
 
     if ( s_ppOffset )
     {
diff --git a/knotes/knote.h b/knotes/knote.h
index eb548955a..50a007dad 100644
--- a/knotes/knote.h
+++ b/knotes/knote.h
@@ -74,7 +74,7 @@ public:
     TQColor bgColor() const;
     void setColor( const TQColor& fg, const TQColor& bg );
 
-    void tqfind( const TQString& pattern, long options );
+    void find( const TQString& pattern, long options );
 
     bool isModified() const;
 
@@ -165,7 +165,7 @@ private:
     KNoteConfig   *m_config;
     KCal::Journal *m_journal;
 
-    KFind         *m_tqfind;
+    KFind         *m_find;
 
     KPopupMenu    *m_menu;
     KPopupMenu    *m_edit_menu;
diff --git a/knotes/knotesapp.cpp b/knotes/knotesapp.cpp
index 5f2d74fb2..7b38121c3 100644
--- a/knotes/knotesapp.cpp
+++ b/knotes/knotesapp.cpp
@@ -94,7 +94,7 @@ int KNotesApp::KNoteActionList::compareItems( TQPtrCollection::Item s1, TQPtrCol
 
 KNotesApp::KNotesApp()
     : DCOPObject("KNotesIface"), TQLabel( 0, 0, WType_TopLevel ),
-      m_alarm( 0 ), m_listener( 0 ), m_tqfind( 0 ), m_findPos( 0 )
+      m_alarm( 0 ), m_listener( 0 ), m_find( 0 ), m_findPos( 0 )
 {
     connect( kapp, TQT_SIGNAL(lastWindowClosed()), kapp, TQT_SLOT(quit()) );
 
@@ -521,8 +521,8 @@ void KNotesApp::slotOpenFindDialog()
     m_findPos = new TQDictIterator<KNote>( m_noteList );
 
     // this could be in an own method if searching without a dialog should be possible
-    delete m_tqfind;
-    m_tqfind = new KFind( findDia.pattern(), findDia.options(), this );
+    delete m_find;
+    m_find = new KFind( findDia.pattern(), findDia.options(), this );
 
     slotFindNext();
 }
@@ -533,13 +533,13 @@ void KNotesApp::slotFindNext()
     {
         KNote *note = **m_findPos;
         ++*m_findPos;
-        note->tqfind( m_tqfind->pattern(), m_tqfind->options() );
+        note->find( m_find->pattern(), m_find->options() );
     }
     else
     {
-        m_tqfind->displayFinalDialog();
-        delete m_tqfind;
-        m_tqfind = 0;
+        m_find->displayFinalDialog();
+        delete m_find;
+        m_find = 0;
         delete m_findPos;
         m_findPos = 0;
     }
@@ -703,7 +703,7 @@ void KNotesApp::updateNoteActions()
 
     for ( TQDictIterator<KNote> it( m_noteList ); it.current(); ++it )
     {
-        KAction *action = new KAction( it.current()->name().tqreplace("&", "&&"),
+        KAction *action = new KAction( it.current()->name().replace("&", "&&"),
                                        KShortcut(), TQT_TQOBJECT(this), TQT_SLOT(slotShowNote()),
                                        (TQObject *)0,
                                        it.current()->noteId().utf8() );
diff --git a/knotes/knotesapp.h b/knotes/knotesapp.h
index fc167ddf5..6a65027fe 100644
--- a/knotes/knotesapp.h
+++ b/knotes/knotesapp.h
@@ -150,7 +150,7 @@ private:
     TQDict<KNote>    m_noteList;
     KNoteActionList m_noteActions;
 
-    KFind           *m_tqfind;
+    KFind           *m_find;
     TQDictIterator<KNote> *m_findPos;
 
     KPopupMenu      *m_note_menu;
diff --git a/knotes/knotesappui.rc b/knotes/knotesappui.rc
index a49a90285..d5d682733 100644
--- a/knotes/knotesappui.rc
+++ b/knotes/knotesappui.rc
@@ -7,7 +7,7 @@
     <Action name="new_note"/>
     <Action name="new_note_clipboard"/>
     <Separator/>
-    <Action name="edit_tqfind"/>
+    <Action name="edit_find"/>
     <Separator/>
     <Action name="show_all_notes"/>
     <Action name="hide_all_notes"/>
diff --git a/knotes/knotesnetrecv.cpp b/knotes/knotesnetrecv.cpp
index 829398ba0..2adf8e784 100644
--- a/knotes/knotesnetrecv.cpp
+++ b/knotes/knotesnetrecv.cpp
@@ -130,7 +130,7 @@ void KNotesNetworkReceiver::slotConnectionClosed()
         TQString noteText = TQString( *m_buffer ).stripWhiteSpace();
 
         // First line is the note title or, in case of ATnotes, the id
-        int pos = noteText.tqfind( TQRegExp("[\r\n]") );
+        int pos = noteText.find( TQRegExp("[\r\n]") );
         TQString noteTitle = noteText.left( pos ).stripWhiteSpace() + m_titleAddon;
 
         noteText = noteText.mid( pos ).stripWhiteSpace();
diff --git a/kode/automakefile.cpp b/kode/automakefile.cpp
index 8d14540c5..468059ae3 100644
--- a/kode/automakefile.cpp
+++ b/kode/automakefile.cpp
@@ -35,7 +35,7 @@ AutoMakefile::AutoMakefile()
 void AutoMakefile::addTarget( const Target &t )
 {
   mTargets.append( t );
-  if ( mTargetTypes.tqfind( t.type() ) == mTargetTypes.end() ) {
+  if ( mTargetTypes.find( t.type() ) == mTargetTypes.end() ) {
     mTargetTypes.append( t.type() );
   }
 }
@@ -47,10 +47,10 @@ void AutoMakefile::addEntry( const TQString &variable, const TQString &value )
     return;
   }
   
-  TQStringList::ConstIterator it = mEntries.tqfind( variable );
+  TQStringList::ConstIterator it = mEntries.find( variable );
   if ( it == mEntries.end() ) {
     mEntries.append( variable );
-    TQMap<TQString,TQString>::Iterator it = mValues.tqfind( variable );
+    TQMap<TQString,TQString>::Iterator it = mValues.find( variable );
     if ( it == mValues.end() ) {
       mValues.insert( variable, value );
     } else {
@@ -98,7 +98,7 @@ TQString AutoMakefile::text() const
       if ( t.type() != targetType ) continue;
 
       TQString name = t.name();
-      name.tqreplace( '.', '_' );
+      name.replace( '.', '_' );
       
       out += name + "_SOURCES = " + t.sources() + '\n';
       if ( !t.libAdd().isEmpty() )
diff --git a/kode/class.cpp b/kode/class.cpp
index ef26ff73d..dc443c20d 100644
--- a/kode/class.cpp
+++ b/kode/class.cpp
@@ -78,12 +78,12 @@ void Class::setNameSpace( const TQString &nameSpace )
 void Class::addInclude( const TQString &include,
   const TQString &forwardDeclaration )
 {
-  if ( mIncludes.tqfind( include ) == mIncludes.end() ) {
+  if ( mIncludes.find( include ) == mIncludes.end() ) {
     mIncludes.append( include );
   }
 
   if( !forwardDeclaration.isEmpty() &&
-      mForwardDeclarations.tqfind( forwardDeclaration ) ==
+      mForwardDeclarations.find( forwardDeclaration ) ==
       mForwardDeclarations.end() ) {
     mForwardDeclarations.append( forwardDeclaration );
   }
@@ -94,7 +94,7 @@ void Class::addHeaderInclude( const TQString &include )
   if ( include.isEmpty() )
     return;
 
-  if ( mHeaderIncludes.tqfind( include ) == mHeaderIncludes.end() ) {
+  if ( mHeaderIncludes.find( include ) == mHeaderIncludes.end() ) {
     mHeaderIncludes.append( include );
   }
 }
diff --git a/kode/file.cpp b/kode/file.cpp
index b71109ec1..ce8d2a3e8 100644
--- a/kode/file.cpp
+++ b/kode/file.cpp
@@ -78,7 +78,7 @@ void File::addInclude( const TQString &i )
   TQString include = i;
   if( !include.endsWith( ".h" ) ) include.append( ".h" );
 
-  if ( mIncludes.tqfind( include ) == mIncludes.end() ) {
+  if ( mIncludes.find( include ) == mIncludes.end() ) {
     mIncludes.append( include );
   }
 }
diff --git a/kode/kodemain.cpp b/kode/kodemain.cpp
index dcc073edc..63746effe 100644
--- a/kode/kodemain.cpp
+++ b/kode/kodemain.cpp
@@ -167,14 +167,14 @@ int addProperty( KCmdLineArgs *args )
 //    out += line + "\n";
     switch( state ) {
       case FindClass:
-//        if ( line.tqfind( TQRegExp( className ) ) >= 0 ) {
-        if ( line.tqfind( TQRegExp( "^\\s*class\\s+" + className ) ) >= 0 ) {
+//        if ( line.find( TQRegExp( className ) ) >= 0 ) {
+        if ( line.find( TQRegExp( "^\\s*class\\s+" + className ) ) >= 0 ) {
           kdDebug() << "  FOUND CLASS" << endl;
           state = FindConstructor;
         }
         break;
       case FindConstructor:
-        if ( line.tqfind( TQRegExp( "^\\s*" + className + "\\s*\\(" ) ) >= 0 ) {
+        if ( line.find( TQRegExp( "^\\s*" + className + "\\s*\\(" ) ) >= 0 ) {
           kdDebug() << "  FOUND CONSTRUCTOR" << endl;
           out += readAhead;
           readAhead = TQString();
@@ -212,9 +212,9 @@ int addProperty( KCmdLineArgs *args )
                 }
               }
             }
-          } else if ( line.tqfind( TQRegExp( "\\s*protected" ) ) >= 0 ) {
+          } else if ( line.find( TQRegExp( "\\s*protected" ) ) >= 0 ) {
             state = FindPrivate;
-          } else if ( line.tqfind( TQRegExp( "\\s*private" ) ) >= 0 ) {
+          } else if ( line.find( TQRegExp( "\\s*private" ) ) >= 0 ) {
             if ( accessor.isEmpty() ) {
               addPropertyFunctions( out, type, name );
               out += readAhead;
@@ -235,7 +235,7 @@ int addProperty( KCmdLineArgs *args )
         }
         break;
       case FindPrivate:
-        if ( line.tqfind( TQRegExp( "\\s*private" ) ) >= 0 ) {
+        if ( line.find( TQRegExp( "\\s*private" ) ) >= 0 ) {
           if ( accessor.isEmpty() ) {
             out += readAhead;
             readAhead = TQString();
@@ -248,7 +248,7 @@ int addProperty( KCmdLineArgs *args )
         break;
       case FindVariables:
         {
-          if ( line.tqfind( "m" + accessor.lower(), 0, false ) >= 0 ) {
+          if ( line.find( "m" + accessor.lower(), 0, false ) >= 0 ) {
             out += readAhead;
             readAhead = TQString();
             addPropertyVariable( out, type, name );
@@ -309,8 +309,8 @@ int codify( KCmdLineArgs *args )
     TQTextStream ts( &f );
     TQString line;
     while( !( line = ts.readLine() ).isNull() ) {
-      line.tqreplace( "\\", "\\\\" ); 
-      line.tqreplace( "\"", "\\\"" );
+      line.replace( "\\", "\\\\" ); 
+      line.replace( "\"", "\\\"" );
       line = "code += \"" + line;
       line.append( "\";" );
       std::cout << line.local8Bit().data() << std::endl;
@@ -374,7 +374,7 @@ int create( KCmdLineArgs *args )
     KABC::Addressee::List as =
         KABC::StdAddressBook::self()->findByEmail( authorEmail );
     if ( as.isEmpty() ) {
-      kdDebug() << "Unable to tqfind '" << authorEmail << "' in address book."
+      kdDebug() << "Unable to find '" << authorEmail << "' in address book."
                 << endl;
     } else {
       a = as.first();
diff --git a/kode/kwsdl/compiler.cpp b/kode/kwsdl/compiler.cpp
index 507e8bd52..e3ccf4f8c 100644
--- a/kode/kwsdl/compiler.cpp
+++ b/kode/kwsdl/compiler.cpp
@@ -39,7 +39,7 @@ Compiler::Compiler()
 void Compiler::setWSDLUrl( const TQString &wsdlUrl )
 {
   mWSDLUrl = wsdlUrl;
-  mWSDLBaseUrl = mWSDLUrl.left( mWSDLUrl.tqfindRev( '/' ) );
+  mWSDLBaseUrl = mWSDLUrl.left( mWSDLUrl.findRev( '/' ) );
 
   mParser.setSchemaBaseUrl( mWSDLBaseUrl );
 }
diff --git a/kode/kwsdl/converter.cpp b/kode/kwsdl/converter.cpp
index 173ca7fb3..f8d258013 100644
--- a/kode/kwsdl/converter.cpp
+++ b/kode/kwsdl/converter.cpp
@@ -32,7 +32,7 @@ static TQString escapeEnum( const TQString &str )
 {
   TQString enumStr = capitalize( str );
 
-  return enumStr.tqreplace( "-", "_" );
+  return enumStr.replace( "-", "_" );
 }
 
 Converter::Converter()
diff --git a/kode/kwsdl/kung/loader.cpp b/kode/kwsdl/kung/loader.cpp
index 41f965bc2..8b0281ac8 100644
--- a/kode/kwsdl/kung/loader.cpp
+++ b/kode/kwsdl/kung/loader.cpp
@@ -35,7 +35,7 @@ Loader::Loader()
 void Loader::setWSDLUrl( const TQString &wsdlUrl )
 {
   mWSDLUrl = wsdlUrl;
-  mWSDLBaseUrl = mWSDLUrl.left( mWSDLUrl.tqfindRev( '/' ) );
+  mWSDLBaseUrl = mWSDLUrl.left( mWSDLUrl.findRev( '/' ) );
 
   mParser.setSchemaBaseUrl( mWSDLBaseUrl );
 }
diff --git a/kode/kwsdl/namemapper.cpp b/kode/kwsdl/namemapper.cpp
index 6d7ae6399..426498f5c 100644
--- a/kode/kwsdl/namemapper.cpp
+++ b/kode/kwsdl/namemapper.cpp
@@ -30,7 +30,7 @@ NameMapper::NameMapper()
 
 TQString NameMapper::escape( const TQString &name ) const
 {
-  if ( mKeyWords.tqcontains( name ) )
+  if ( mKeyWords.contains( name ) )
     return "_" + name;
   else
     return name;
diff --git a/kode/kwsdl/parser.cpp b/kode/kwsdl/parser.cpp
index b8512490b..6e2a37dc0 100644
--- a/kode/kwsdl/parser.cpp
+++ b/kode/kwsdl/parser.cpp
@@ -27,7 +27,7 @@ using namespace KWSDL;
 
 static TQString sns( const TQString &str )
 {
-  int pos = str.tqfind( ':' );
+  int pos = str.find( ':' );
   if ( pos != -1 )
     return str.mid( pos + 1 );
   else
diff --git a/kode/kwsdl/schema/parser.cpp b/kode/kwsdl/schema/parser.cpp
index 4571f5cc6..148599751 100644
--- a/kode/kwsdl/schema/parser.cpp
+++ b/kode/kwsdl/schema/parser.cpp
@@ -200,7 +200,7 @@ void Parser::parseImport( const TQDomElement &element )
   TQString location = element.attribute( "schemaLocation" );
   if ( !location.isEmpty() ) {
     // don't import a schema twice
-    if ( mImportedSchemas.tqcontains( location ) )
+    if ( mImportedSchemas.contains( location ) )
       return;
     else
       mImportedSchemas.append( location );
diff --git a/kode/kwsdl/schema/qualifiedname.cpp b/kode/kwsdl/schema/qualifiedname.cpp
index 41e6fd849..350bca32f 100644
--- a/kode/kwsdl/schema/qualifiedname.cpp
+++ b/kode/kwsdl/schema/qualifiedname.cpp
@@ -65,7 +65,7 @@ bool QualifiedName::operator==( const QualifiedName &qn ) const
 
 void QualifiedName::parse( const TQString &str )
 {
-  int pos = str.tqfind( ':' );
+  int pos = str.find( ':' );
   if ( pos != -1 ) {
     mPrefix = str.left( pos );
     mLocalName = str.mid( pos + 1 );
diff --git a/kode/kwsdl/schema/simpletype.cpp b/kode/kwsdl/schema/simpletype.cpp
index 50242808f..d5dcf2fd9 100644
--- a/kode/kwsdl/schema/simpletype.cpp
+++ b/kode/kwsdl/schema/simpletype.cpp
@@ -202,7 +202,7 @@ void SimpleType::setFacetValue( const TQString &value )
       mFacetValue.wsp = PRESERVE;
     else if ( value == "collapse" )
       mFacetValue.wsp = COLLAPSE;
-    else if ( value == "tqreplace" )
+    else if ( value == "replace" )
       mFacetValue.wsp = REPLACE;
     else {
       qDebug( "Invalid facet value for whitespace" );
diff --git a/kode/kwsdl/typemapper.cpp b/kode/kwsdl/typemapper.cpp
index 024b4f42d..3ec0a20a3 100644
--- a/kode/kwsdl/typemapper.cpp
+++ b/kode/kwsdl/typemapper.cpp
@@ -71,7 +71,7 @@ TQString TypeMapper::type( const Schema::Element *element ) const
 
   TQString type;
   // check basic types
-  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.tqfind( typeName );
+  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.find( typeName );
   if ( it != mMap.end() )
     type = it.data().type;
 
@@ -89,7 +89,7 @@ TQString TypeMapper::type( const Schema::Attribute *attribute ) const
 
   TQString type;
   // check basic types
-  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.tqfind( typeName );
+  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.find( typeName );
   if ( it != mMap.end() )
     type = it.data().type;
 
@@ -104,7 +104,7 @@ TQString TypeMapper::type( const Schema::Attribute *attribute ) const
 TQString TypeMapper::type( const TQString &typeName ) const
 {
   // check basic types
-  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.tqfind( typeName );
+  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.find( typeName );
   if ( it != mMap.end() )
     return it.data().type;
 
@@ -147,7 +147,7 @@ TQStringList TypeMapper::header( const Schema::Element *element ) const
   TQStringList headers;
 
   // check basic types
-  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.tqfind( typeName );
+  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.find( typeName );
   if ( it != mMap.end() ) {
     if ( !it.data().header.isEmpty() )
       headers.append( it.data().header );
@@ -167,7 +167,7 @@ TQMap<TQString, TQString> TypeMapper::headerDec( const Schema::Element *element
   TQMap<TQString, TQString> headers;
 
   // check basic types
-  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.tqfind( typeName );
+  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.find( typeName );
   if ( it != mMap.end() ) {
     if ( !it.data().header.isEmpty() ) {
       if ( it.data().type == TQBYTEARRAY_OBJECT_NAME_STRING )
@@ -193,7 +193,7 @@ TQStringList TypeMapper::header( const Schema::Attribute *attribute ) const
   TQStringList headers;
 
   // check basic types
-  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.tqfind( typeName );
+  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.find( typeName );
   if ( it != mMap.end() ) {
     if ( !it.data().header.isEmpty() )
       headers.append( it.data().header );
@@ -210,7 +210,7 @@ TQMap<TQString, TQString> TypeMapper::headerDec( const Schema::Attribute *attrib
   TQMap<TQString, TQString> headers;
 
   // check basic types
-  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.tqfind( typeName );
+  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.find( typeName );
   if ( it != mMap.end() ) {
     if ( !it.data().header.isEmpty() ) {
       if ( it.data().type == TQBYTEARRAY_OBJECT_NAME_STRING )
@@ -228,7 +228,7 @@ TQMap<TQString, TQString> TypeMapper::headerDec( const Schema::Attribute *attrib
 
 TQStringList TypeMapper::header( const TQString &typeName ) const
 {
-  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.tqfind( typeName );
+  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.find( typeName );
   if ( it != mMap.end() )
     return it.data().header;
 
@@ -249,7 +249,7 @@ TQMap<TQString, TQString> TypeMapper::headerDec( const TQString &typeName ) cons
   TQMap<TQString, TQString> headers;
 
   // check basic types
-  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.tqfind( typeName );
+  TQMap<TQString, TypeInfo>::ConstIterator it = mMap.find( typeName );
   if ( it != mMap.end() ) {
     if ( !it.data().header.isEmpty() ) {
       if ( it.data().type == TQBYTEARRAY_OBJECT_NAME_STRING )
diff --git a/kode/kxml_compiler/creator.cpp b/kode/kxml_compiler/creator.cpp
index 66dccccbb..3d4983f93 100644
--- a/kode/kxml_compiler/creator.cpp
+++ b/kode/kxml_compiler/creator.cpp
@@ -137,7 +137,7 @@ void Creator::createClass( Element *element )
 {
   TQString className = upperFirst( element->name );
 
-  if ( mProcessedClasses.tqfind( className ) != mProcessedClasses.end() ) {
+  if ( mProcessedClasses.find( className ) != mProcessedClasses.end() ) {
     return;
   }
 
@@ -621,7 +621,7 @@ void Creator::createElementParserDom( KODE::Class &c, Element *e )
 
 void Creator::registerListTypedef( const TQString &type )
 {
-  if ( !mListTypedefs.tqcontains( type ) ) mListTypedefs.append( type );
+  if ( !mListTypedefs.contains( type ) ) mListTypedefs.append( type );
 }
 
 void Creator::createListTypedefs()
diff --git a/kode/kxml_compiler/kxml_compiler.cpp b/kode/kxml_compiler/kxml_compiler.cpp
index a4f8178b3..71720d6b9 100644
--- a/kode/kxml_compiler/kxml_compiler.cpp
+++ b/kode/kxml_compiler/kxml_compiler.cpp
@@ -83,7 +83,7 @@ int main( int argc, char **argv )
   TQString dtdFilename = args->url( 0 ).path();
 
   TQString baseName = args->url( 0 ).fileName();
-  int pos = baseName.tqfindRev( '.' );
+  int pos = baseName.findRev( '.' );
   if ( pos > 0 ) baseName = baseName.left( pos );
 
 
@@ -143,7 +143,7 @@ int main( int argc, char **argv )
   for( it = start->elements.begin(); it != start->elements.end(); ++it ) {
     c.setExternalClassPrefix( c.upperFirst( (*it)->name ) );
     c.createFileParser( *it );
-    c.createFileWriter( *it, dtdFilename.tqreplace( "rng", "dtd" ) );
+    c.createFileWriter( *it, dtdFilename.replace( "rng", "dtd" ) );
   }
 
   c.createListTypedefs();
diff --git a/kode/kxml_compiler/parser.cpp b/kode/kxml_compiler/parser.cpp
index 3a0c7c3f7..9a123581b 100644
--- a/kode/kxml_compiler/parser.cpp
+++ b/kode/kxml_compiler/parser.cpp
@@ -97,10 +97,10 @@ Element *Parser::parse( const TQDomElement &docElement )
       parseElement( e1, d, Pattern() );
       Element::List definitions;
       TQMap<TQString,Element::List >::ConstIterator it; 
-      it = mDefinitionMap.tqfind( d->name );
+      it = mDefinitionMap.find( d->name );
       if ( it != mDefinitionMap.end() ) definitions = *it;
       definitions.append( d );
-      mDefinitionMap.tqreplace( d->name, definitions );
+      mDefinitionMap.replace( d->name, definitions );
     } else if ( e1.tagName() == "start" ) {
       start = new Element;
       parseElement( e1, start, Pattern() );
@@ -192,7 +192,7 @@ void Parser::substituteReferences( Element *s )
       r->substituted = true;
     }
     TQMap<TQString,Element::List >::ConstIterator it1;
-    it1 = mDefinitionMap.tqfind( r->name );
+    it1 = mDefinitionMap.find( r->name );
     if ( it1 != mDefinitionMap.end() ) {
       Element::List elements = *it1;
       Element::List::ConstIterator it4;
diff --git a/kode/printer.cpp b/kode/printer.cpp
index 761823dd3..6f36d30eb 100644
--- a/kode/printer.cpp
+++ b/kode/printer.cpp
@@ -328,7 +328,7 @@ void Printer::printHeader( const File &f )
 
   // Create include guard
   TQString className = f.filename();
-  className.tqreplace( "-", "_" );
+  className.replace( "-", "_" );
 
   TQString includeGuard;
   if ( !f.nameSpace().isEmpty() ) includeGuard += f.nameSpace().upper() + "_";
@@ -348,7 +348,7 @@ void Printer::printHeader( const File &f )
     TQStringList includes = (*it).headerIncludes();
     TQStringList::ConstIterator it2;
     for( it2 = includes.begin(); it2 != includes.end(); ++it2 ) {
-      if ( processed.tqfind( *it2 ) == processed.end() ) {
+      if ( processed.find( *it2 ) == processed.end() ) {
         out += "#include <" + *it2 + ">";
         processed.append( *it2 );
       }
@@ -363,7 +363,7 @@ void Printer::printHeader( const File &f )
     TQStringList decls = (*it).forwardDeclarations();
     TQStringList::ConstIterator it2;
     for( it2 = decls.begin(); it2 != decls.end(); ++it2 ) {
-      if ( processed.tqfind( *it2 ) == processed.end() ) {
+      if ( processed.find( *it2 ) == processed.end() ) {
         out += "class " + *it2 + ";";
         processed.append( *it2 );
       }
@@ -443,7 +443,7 @@ void Printer::printImplementation( const File &f, bool createHeaderInclude )
     TQStringList includes = (*it).includes();
     TQStringList::ConstIterator it2;
     for( it2 = includes.begin(); it2 != includes.end(); ++it2 ) {
-      if ( processed.tqfind( *it2 ) == processed.end() ) {
+      if ( processed.find( *it2 ) == processed.end() ) {
         out += "#include <" + *it2 + ">";
         processed.append( *it2 );
       }
